//ObjektStatus

package grunddaten;


public class ObjektStatus {
    
     //konstruktoren:
    public ObjektStatus() {
       guthabenliste = new java.util.Vector();
       objekt_status = new Status();
    }

    public ObjektStatus(int obj_id) {
       this();
       objekt_id = obj_id;
    }

    public ObjektStatus(int obj_id, Status obj_status) {
       this(obj_id);
       objekt_status = obj_status;
    }
    
    //hinzufuegen eines elementes am ende der Guthabenliste
    public void hinzufuegen_guthaben(ObjektGuthaben neu) {
		guthabenliste.addElement(neu);
        }

    //ausgabe de Guthabens an der stelle position in der Guthabenliste:
    public ObjektGuthaben ausgabe_guthaben(int position) {
       	if (position >= guthabenliste.size() )
       		return null; 
       	else
       	return (ObjektGuthaben) guthabenliste.get(position);
	
	}

	//ausgabe des aktuellen guthabens
    public int ausgabe_guthaben() {
       	if (guthabenliste.isEmpty())
       		return -1; 
       	else
       	 return ((ObjektGuthaben) guthabenliste.get(guthabenliste.size()-1))
       	        .ausgabe_guthaben();
	
    }
        
    // Ausgabe des Objektstatus
    public Status ausgabe_status() {
    	if (objekt_status != null)
    	  	return objekt_status;
    	else return null;
    }

    // Ausgabe der Objekt ID
    public int ausgabe_id() {
    	return objekt_id;
    }
    

    private int objekt_id = -1;
    private Status objekt_status;

    /* @link aggregation
     * @supplierCardinality 1..*/
    private java.util.Vector guthabenliste;
    
    
}
