//Objektaufstellung

   package grunddaten;

   import java.util.BitSet;
   import oop.hauptfenster;
   import oop.fehler;
   import java.util.Random;

   public class Objektaufstellung {
   
    //konstruktor:
      public Objektaufstellung() {
         objekt_status_liste = new java.util.Vector();
      }
   
    //hinzufuegen eines Eintrags ans ende der Objektaufstellung-Liste
      public void hinzufuegen_eintrag(ObjektStatus neu) {
         objekt_status_liste.addElement(neu);
      }
   
    //ausgabe eines Eintrags an der stelle position:
      public ObjektStatus ausgabe_eintrag(int position) {       
         if ((position >= 0) && (position < objekt_status_liste.size()))         
            return (ObjektStatus) objekt_status_liste.get(position);
         else 
            return null;
      }
   
    // loeschen eines Eintrags an der stelle position:
      public void loesche_eintrag(int position) {
         if ((position >= 0) && (position < objekt_status_liste.size()))         
            objekt_status_liste.remove(position);
      
      }
   
    //ausgabe eines Eintrags mit Objekt-id nr:
      public ObjektStatus ausgabe_eintrag_id(int nr) {
         for (int i = 0; i < objekt_status_liste.size(); i++) {
            if (((ObjektStatus) objekt_status_liste.get(i)).ausgabe_id() == nr)
               return (ObjektStatus) objekt_status_liste.get(i);
         }
         return null; // ausnahmebehandlung!!
      }
   
    //loeschen eines Eintrags mit Objekt-id nr:
      public void loesche_eintrag_id(int nr) {
         for (int i = 0; i < objekt_status_liste.size(); i++) {
            if (((ObjektStatus) objekt_status_liste.get(i)).ausgabe_id() == nr)
               objekt_status_liste.remove(i);
         }
      }
   
    // Methode, die ueberprueft, ob ein bestimmtes Objekt in der Liste enthalten ist
      public boolean enthaelt_objekt(int nr) {
      
      	// Das Enthaltensein wird ueber den Objekt_id als Schluessel geprueft
         boolean enthalten = false;
         int i = 0;
         while ((this != null) && (this.ausgabe_eintrag(i) != null)) {
         
            if (this.ausgabe_eintrag(i).ausgabe_id() == nr)
               enthalten = true;
            i++;
         }
         return enthalten;
      }
   
	
	//__________________________________________________________________________ 
    // bewege Agenten, welche einen Status besitzten 
	public void bewege_Agenten (Agentenliste myAgentenliste, Welt myWelt, 
								hauptfenster myhaupt) {
	
		int i,l;
		ObjektStatus myStatus;
		ObjektGuthaben temp_guthaben;
			
		if (myAgentenliste == null || myhaupt == null || myWelt == null) {
			//Fehler
            fehler f = new fehler("Es sind noch nicht alle notwendigen Grunddaten eingegeben!");			
            System.out.println("Methode: Objketaufstellung.bewege_Agenten  Grunddaten fehlen!");
            return;
		}
		
		// Agentenliste durchlaufen
		for (i=0; myAgentenliste.agenten_ausgeben(i) != null; i++){    
        	Agent temp_agent = myAgentenliste.agenten_ausgeben(i);
            
            // Agent besitzt einen Status
            if (temp_agent != null && temp_agent.ausgabe_status() != null){
               
            	
            	// testen
            	Status agentst = temp_agent.ausgabe_status().ausgabe_status();
            	System.out.println("neue Position von Agent " +  i + " :" + 
               agentst.ausgabe_position().ausgabe_x() + ", " 
               + agentst.ausgabe_position().ausgabe_y() + ", " 
               + agentst.ausgabe_ausrichtung()); 
            	
            	
            	// Agent steht auf Ausgang
            	if (ist_ausgang(temp_agent.ausgabe_status().ausgabe_status()
            	    .ausgabe_position(), myWelt)) {
            		
            		System.out.println("Agent hat die Welt verlassen!");
            		
            		// neuen Agenten suchen, welcher keinen Status besitzt 
            		l = 0;
            		Agent neu = myAgentenliste.agenten_ausgeben(l);
            		while (neu != null && neu.ausgabe_status() != null ){    
        				l++;
        				neu = myAgentenliste.agenten_ausgeben(l);
        				
        			}
        			
        			if (neu == null)
        				neu = myAgentenliste.agenten_ausgeben(l-1);
        			
        			System.out.println("Eingang suchen!");
        			// Eingang suchen und Agenten hineinschicken
        			// jedoch nur, wenn ein Agent existiert, welcher keinen
        			// Status besitzt
        			if(myWelt.ausgabe_eingaenge_lo_y(0) != -1) {
        				// es existiert ein Agent, welcher keinen
        				// Status besitzt
        				if (neu.ausgabe_status() == null) {
        					System.out.println("Neuer Agent kommt!");
        					Status neust = new Status('S', myWelt.ausgabe_eingaenge_lo(0));
        					myAgentenliste.agenten_ausgeben(i).aendere_status( 
        					   null);
        					neu.aendere_status(
        					  new AgentStatus(neust , 2147483647*i/7));
        				}
        				// der selbe Agent wird hineingeschickt
        				else {System.out.println("Der selbe Agent kommt!");
        					Status neust = new Status('S', myWelt.ausgabe_eingaenge_lo(0));
        					myAgentenliste.agenten_ausgeben(i).aendere_status( 
        					   new AgentStatus(neust , 2147483647*i/7));
        				}
        			}
        			// gehe weiter, da kein Eingang vorhanden
        			else 
        				bewege_Agent(temp_agent.ausgabe_status(), myWelt, myhaupt);
        					
            	
            	}    	
            	    
                  	            	
            	// Agent steht vor einem Objekt

            	else { myStatus = ist_vor_Objekt(temp_agent.ausgabe_status().ausgabe_status(),
            	      myWelt.ausgabe_raster_k(), myhaupt); 
            	            	  
            	  if ( myStatus != null) { 
            	
            	    // Objektkosten des Objektes
            	                	        
            	    int myObjektkosten = myhaupt.myObjektliste.objekt_ausgeben_id(
            	     myStatus.ausgabe_id()).ausgabe_kosten();

            	    // berprfe ob Agent gengend guthaben hat
					if (temp_agent.ausgabe_guthaben() >= myObjektkosten) {
            			
            			// Guthaben des Agenten verringern
            			temp_agent.aendere_guthaben(myObjektkosten);

            			// Eintrag in die guthabenliste hinzufuegen
            			//System.out.println("konsumiere!");
            			if (myStatus.ausgabe_guthaben() == -1) {
						 temp_guthaben = new ObjektGuthaben(
            			   (myObjektkosten), 
            		       zeitpunkt++, temp_agent); 
            		    }
						else {	           	   
            			 temp_guthaben = new ObjektGuthaben(
            			   (myStatus.ausgabe_guthaben() + myObjektkosten), 
            		       zeitpunkt++, temp_agent);
            		    }
            		       
            			myStatus.hinzufuegen_guthaben(temp_guthaben);
            		
            		
            		// Zufallszahl zwischen 0..6 || Agent hat nicht mehr genuegend Guthaben
            		if(r.nextInt(7) == 4 || temp_agent.ausgabe_guthaben() < myObjektkosten) 
            			// gehe weiter
            			bewege_Agent(temp_agent.ausgabe_status(), myWelt, myhaupt);
            	 } }
            	else 
            	 bewege_Agent(temp_agent.ausgabe_status(), myWelt, myhaupt);
                             
              }         		
       		}     			
    	}        	
                  
		
		 
	}
   
   
   
   
   
   //__________________________________________________________________________ 
   // bewege Agent 
      public void bewege_Agent (AgentStatus agent, Welt myWelt, hauptfenster myhaupt) { 
      
        // Fehlerbehandlung 
         if (myWelt == null || sperrflaeche_a == null || sperrflaeche_o == null
         || myhaupt.ausgabe_sperrflaeche_w () == null || agent == null) {  
            //Fehler
            fehler f = new fehler("Es sind noch nicht alle notwendigen Grunddaten eingegeben!");
            System.out.println 
               ("Methode: Objektaufstellung.bewege_Agent  Grunddaten fehlen!"); 
            return; 
         } 
      
      
         int dim_x = myWelt.ausgabe_groesse().ausgabe_x() *  
         myWelt.ausgabe_raster_k(); 
      
        // Neue Variablen, welche veraender wird 
         Point3d temp_point = new Point3d( 
         agent.ausgabe_status().ausgabe_position().ausgabe_x(), 
         agent.ausgabe_status().ausgabe_position().ausgabe_y(), 
         agent.ausgabe_status().ausgabe_position().ausgabe_z()); 
         Status temp = new Status(agent.ausgabe_status().ausgabe_ausrichtung(), 
         temp_point); 
      
      
        //Agent in der Liste als besetzt markieren 
         sperrflaeche_a.set(temp.ausgabe_position().ausgabe_y()*dim_x + 
            temp.ausgabe_position().ausgabe_x() );   
      
        // solange die Postion besetzt ist suche neue            
         do { 
                //neue Position ermitteln 
            temp = agent.get_new(agent.ausgabe_status()); 
         
         
         } while  
         (    ( !(myhaupt.ist_enthalten(temp.ausgabe_position())) ||
         (!(ist_frei(temp.ausgabe_position(), myWelt, myhaupt))  
         && ( (temp.ausgabe_position().ausgabe_x()  
         != agent.ausgabe_status().ausgabe_position().ausgabe_x()) 
         || (temp.ausgabe_position().ausgabe_y()  
         != agent.ausgabe_status().ausgabe_position().ausgabe_y()))) 
         || ((ist_frei(temp.ausgabe_position(), myWelt, myhaupt) == false) && 
         (agent.ausgabe_status().ausgabe_ausrichtung() ==
         temp.ausgabe_ausrichtung()))));         
      //     (Feld besetzt && nicht vomAgent)  
      // ||  (Feld besetzt && Ausrichtung ist nicht dieselbe) 
      
      
        // alte Position in der Liste als unbesetzt markieren 
         sperrflaeche_a.clear(agent.ausgabe_status().ausgabe_position().ausgabe_y()* 
            dim_x + agent.ausgabe_status().ausgabe_position().ausgabe_x() ); 
      
        // AgentStatus des betreffenden Agenten aendern 
         agent.aendern(temp); 
      
        // neue Position in der Liste als besetzt markieren 
         sperrflaeche_a.set(temp.ausgabe_position().ausgabe_y()*dim_x + 
            temp.ausgabe_position().ausgabe_x() );                          
      } 
   
   
   
   //__________________________________________________________________________ 
   // Initialisiert die Sperrflaechen (besetzte Stellen = 1) 
      public void init_sperrflaeche (Welt myWelt, Agentenliste myAgentenliste, hauptfenster myhaupt) { 
         int dim_x; 
         int dim_y; 
         Point3d groesse; 
         int k; 
         int i, j, n; 
         int lo_x, lo_y, ru_x, ru_y; 
   		 int breite, laenge;	   
      
        // alle notwendigen Klassen muessen existieren! 
         if (myWelt != null && objekt_status_liste != null && myAgentenliste != null) { 
         
            groesse = myWelt.ausgabe_groesse();          
            k = myWelt.ausgabe_raster_k(); 
            dim_x = groesse.ausgabe_x() * k; 
            dim_y = groesse.ausgabe_y() * k; 
         
            sperrflaeche_a = new BitSet(dim_x*dim_y); 	// Agenten 
            sperrflaeche_o = new BitSet(dim_x*dim_y);   //Objekte
            ausgaenge      = new BitSet(dim_x*dim_y);   //Ausgaenge 
         
         
         
            // Agenten in den BitString sperrflaeche_a schreiben 
            for (i=0; myAgentenliste.agenten_ausgeben(i) != null; i++){    
               Agent temp_agent = myAgentenliste.agenten_ausgeben(i);
            
               if (temp_agent.ausgabe_status() != null){
               
                  Point3d p1 = 
                  temp_agent.ausgabe_status().ausgabe_status().
                  ausgabe_position();
               
               	//  Position in der Liste als besetzt markieren 
                  sperrflaeche_a.set(p1.ausgabe_y() * dim_x + p1.ausgabe_x()); 
               }   }       
         
        
            
            // Objekte in den BitString sperrflaeche_o schreiben 
            for (n=0; this.ausgabe_eintrag(n) != null; n++) { 
               if (this.ausgabe_eintrag(n).ausgabe_status().ausgabe_position().
               ausgabe_x() != -1  )  {
               
                  // Position des Objektes
                  Point3d p1 = this.ausgabe_eintrag(n).ausgabe_status().
                  ausgabe_position();
               		
               	  // Dimension des Objektes
               	  laenge = (myhaupt.myObjektliste.objekt_ausgeben_id(
		             this.ausgabe_eintrag(n).ausgabe_id())).ausgabe_groesse().ausgabe_x();
		          breite = (myhaupt.myObjektliste.objekt_ausgeben_id(
		             this.ausgabe_eintrag(n).ausgabe_id())).ausgabe_groesse().ausgabe_y();   	
               		
                    // Zeilen durchlaufen 
                  for(i = p1.ausgabe_y()*k ; i < p1.ausgabe_y()*k + breite*k; i ++) 
                            // Spalten durchlaufen 
                     for(j=p1.ausgabe_x()*k; j < p1.ausgabe_x()*k + laenge*k; j++) 
                            	// Punkt als Sperrflaeche kennzeichen 
                        sperrflaeche_o.set(i*dim_x + j); 
               
               } }    
         
         
            // Ausgaenge in den BitString ausgaenge schreiben 
            for (i=0; myWelt.ausgabe_ausgaenge_lo_x(i) != -1; i++) { 
               lo_x = myWelt.ausgabe_ausgaenge_lo_x(i); 
               lo_y = myWelt.ausgabe_ausgaenge_lo_y(i); 
               ru_x = myWelt.ausgabe_ausgaenge_ru_x(i); 
               ru_y = myWelt.ausgabe_ausgaenge_ru_y(i); 
            
                        // Zeilen durchlaufen 
               for(; lo_y < ru_y; lo_y ++) 
                                // Spalten durchlaufen 
                  for(j=lo_x; j < ru_x; j++) 
                                        // Punkt als Ausgang kennzeichen 
                     ausgaenge.set(lo_y*dim_x + j); 
         	}
         	
       
         /*
              // testen ob alles richtig erzeugt wurde 
            int te; 
            for (i=0; i < dim_y; i++) 
            {
               for (te=0; te< dim_x; te++) 
                  if (sperrflaeche_o.get(dim_x*i + te) ||
                  sperrflaeche_a.get(dim_x*i + te)) 
                     System.out.print("1"); 
                  else System.out.print("0"); 
            
               System.out.println(" "); }                      
  */       
         }                
         else System.out.println 
               ("Es sind noch nicht alle ntigen Grunddaten eingegeben!"); 
      } 
   
   
   //____________________________________________________________________________
   // berprft ob ein bestimmter Punkt frei ist 
      public boolean ist_frei (Point3d punkt, Welt myWelt, hauptfenster myhaupt) { 
      
         if (myWelt == null || sperrflaeche_a == null || sperrflaeche_o == null
         || myhaupt.ausgabe_sperrflaeche_w() == null) {  
            System.out.println 
               ("Es sind noch nicht alle ntigen Grunddaten eingegeben!"); 
            return false; 
         } 
      
        // Position im Bitstring 
         int pos = myWelt.ausgabe_groesse().ausgabe_x() *  
         myWelt.ausgabe_raster_k() * punkt.ausgabe_y() 
         + punkt.ausgabe_x();  
         if (sperrflaeche_a.get(pos) || sperrflaeche_o.get(pos)
         || myhaupt.ausgabe_sperrflaeche_w().get(pos)) 
            return false; 
         else 
            return true; 
      } 
      
		// Ueberprueft, ob eine bestimmte Flaeche frei ist
		public boolean ist_frei(Point3d von, Point3d bis, Welt myWelt, hauptfenster myhaupt) {
		  
			for (int xi = von.ausgabe_x(); xi <= bis.ausgabe_x(); xi++) {
				for (int yi = von.ausgabe_y(); yi <= bis.ausgabe_y(); yi++) {
					if (!(ist_frei(new Point3d(xi,yi,0), myWelt, myhaupt)))
						return false;
				}
			}
			
			return true;
		}
		
   //____________________________________________________________________________
   // berprft ob ein bestimmter Punkt ein Ausgang ist 
      public boolean ist_ausgang (Point3d punkt, Welt myWelt) { 
      
         if (myWelt == null || ausgaenge == null)  {  
            System.out.println 
               ("Es sind noch nicht alle ntigen Grunddaten eingegeben!"); 
            return false; 
         } 
      
        // Position im Bitstring 
         int pos = myWelt.ausgabe_groesse().ausgabe_x() *  
         myWelt.ausgabe_raster_k() * punkt.ausgabe_y() 
         + punkt.ausgabe_x();  
         
         if (ausgaenge.get(pos) ) 
            return true; 
         else 
            return false; 
      } 
   
//__________________________________________________________________________       
// berprft ob ein Agent so vor einem Objekts steht, da er etwas konsumieren
// kann. dh.: die Ausrichtung mu die invertierte des Objektes sein
//            und er mu Positionsmig vor der Seite des Objektes
//            stehen an der er konsumieren kann
public ObjektStatus ist_vor_Objekt(Status agentst, int k, hauptfenster myhaupt) {
	
	// invertierte Ausrichtung des Agenten
	char invertiert = invertiere(agentst.ausgabe_ausrichtung());
	// Position des Agenten
	Point3d pos_a = agentst.ausgabe_position();
	Point3d pos_o; // Position des jeweiligen Objektes
	int n, laenge, breite;
	
	// Objekteliste duchlaufen
	for (n=0; this.ausgabe_eintrag(n) != null; n++)  
     if (this.ausgabe_eintrag(n).ausgabe_status().ausgabe_position().ausgabe_x()
      != -1)  
		
	  // Ausrichtung des Agenten ist die invertierte des Objektes
	  if ( invertiert == this.ausgabe_eintrag(n).ausgabe_status()
		  .ausgabe_ausrichtung()) {
		
		//Position des Objekts
		pos_o = this.ausgabe_eintrag(n).ausgabe_status().ausgabe_position();
		
				
		// Dimension des Objektes
        laenge = (myhaupt.myObjektliste.objekt_ausgeben_id(
		  this.ausgabe_eintrag(n).ausgabe_id())).ausgabe_groesse().ausgabe_x();
		breite = (myhaupt.myObjektliste.objekt_ausgeben_id(
		  this.ausgabe_eintrag(n).ausgabe_id())).ausgabe_groesse().ausgabe_y(); 
				
		// berprfung ob der Agenten "konsumfhig" ist:
		//  eine gltige Position ist von der Objektausrichtung
		//  abhngig!
		switch (invertiert) {
			case 'N':  
				if (pos_a.ausgabe_y() == (pos_o.ausgabe_y()*k - 1) &&
					pos_a.ausgabe_x() >= pos_o.ausgabe_x()*k &&
					pos_a.ausgabe_x() < pos_o.ausgabe_x()*k + laenge*k)
					return this.ausgabe_eintrag(n);
				else break;
			
			case 'S': 
				if (pos_a.ausgabe_y() == (pos_o.ausgabe_y()*k + breite*k) &&
					pos_a.ausgabe_x() >= pos_o.ausgabe_x()*k &&
					pos_a.ausgabe_x() < pos_o.ausgabe_x()*k + laenge*k)
					return this.ausgabe_eintrag(n);
				else break;
			case 'W':
				if (pos_a.ausgabe_x() == (pos_o.ausgabe_x()*k - 1) &&
					pos_a.ausgabe_y() >= pos_o.ausgabe_y()*k &&
					pos_a.ausgabe_y() < pos_o.ausgabe_y()*k + breite*k)
					return this.ausgabe_eintrag(n);
				else break;
			case 'O': 
				if (pos_a.ausgabe_x() == (pos_o.ausgabe_x()*k + laenge*k) &&
					pos_a.ausgabe_y() >= pos_o.ausgabe_y()*k &&
					pos_a.ausgabe_y() < pos_o.ausgabe_y()*k + breite*k)
					return this.ausgabe_eintrag(n);
				else break;
		}
		
	}
	return null;
}


//__________________________________________________________________________
// gibt die ensprechende invertierte Ausrichtung zurck
public char invertiere(char vorher) {
	switch (vorher) {
		case 'N': return 'S';
		case 'S': return 'N';
		case 'W': return 'O';
		case 'O': return 'W';
	}
	return 'U';
}
   
//__________________________________________________________________________  
   
 
   
    /* @supplierCardinality 1..*
     * @link aggregation */
      private java.util.Vector objekt_status_liste;
      
      // Zufallsgenerator mit Seed generieren 
      // wird fr Entscheidung bentigt, ob ein Agent beim Objekt bleibt
      // oder weitergeht
      private Random r = new Random(2147483647);  //2^31 -1;
   		
   	  // Zeitpunkt, bei welchem ein Agent konsumiert
   	  long zeitpunkt = 0;
   	  	
      BitSet sperrflaeche_a;    // Flaechen durch Agenten besetzt sind.   
      BitSet sperrflaeche_o;    // Flaechen, welche durch Objekte besetzt sind.
      BitSet ausgaenge;       // Flaechen, welche durch Ausgaenge besetzt sind. 
   	
   	
   }
